import { GetPersonResponse } from '../services/blockchain/contracts/TonomyContract';
import { TonomyUsername } from '../util/username';
import { ILoginOptions, IUserOnboarding } from '../types/User';
import { UserCommunication } from './UserCommunication';
export declare class UserOnboarding extends UserCommunication implements IUserOnboarding {
    private chainID;
    private validateUsername;
    private createDid;
    login(username: TonomyUsername, password: string, options: ILoginOptions): Promise<GetPersonResponse>;
    isLoggedIn(): Promise<boolean>;
    createPerson(): Promise<void>;
    saveUsername(username: string): Promise<void>;
    usernameExists(username: string): Promise<boolean>;
    updateKeys(password: string): Promise<void>;
    checkKeysStillValid(): Promise<boolean>;
    logout(): Promise<void>;
    initializeFromStorage(): Promise<boolean>;
}
//# sourceMappingURL=UserOnboarding.d.ts.map